# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetEnumeratedComponentValue

Function

Provides access to the components of a Field by index rather than by name.

Syntax
`
#include <dx/dx.h>
`

Object DXGetEnumeratedComponentValue(Field f, int n, char **name)

Functional Details

Provides access to all components of the Field `f` without requiring a list of component names. We might, for example, find all components that are dependent on positions by using `DXGetEnumeratedComponentValue` in a looping construct in which `DXGetEnumeratedComponentAttribute` (or, using the name returned by `DXGetEnumeratedComponentValue`, using `DXGetComponentAttribute`) is used to access the "dep" attribute of each component.

The components of Field `f` may be indexed by calling `DXGetEnumeratedComponentValue` with successive values of `n` until `NULL` is returned. The name of the component is returned in `*name`.

Note: | `DXGetEnumeratedComponentAttribute` would not be suitable for use in the looping construct because it will return `NULL` if the `n`th component doesn't have the specified component, even if there are more than `n` components.

Return Value

Returns the value of the component or returns `NULL` but does not set an error code if `n` is out of range.

See Also

`DXGetComponentAttribute, DXGetComponentValue, DXGetEnumeratedComponentAttribute`

12.1 , "Field Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]